SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[MEDWEB_GECMISTETKIKKARTTEST]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].MEDWEB_GECMISTETKIKKARTTEST
GO

CREATE FUNCTION dbo.MEDWEB_GECMISTETKIKKARTTEST(@TETKIKKARTID int) 
RETURNS @retGecmisTetkikTest TABLE 
(
	TETKIKTURADI nvarchar(50),
	ITEMADI nvarchar(150),
	SIRANO SMALLint,
	TESTADI nvarchar(150),
	OLCUM nvarchar(50),
	UYARIISRT nvarchar(10),	
	SONUCR float,
	BIRIM nvarchar(50),
	SONUCY nvarchar(150),
	MIND float,
	MIND2 float,
	MAXD float,
	MAXD2 float,
	LTCKIMLIKNO nvarchar(25),
	LADISOYADI nvarchar(75),
	LDTARIHI datetime,
	LHYASI int,
	HCINSIYETI nvarchar(5),
	HDOSYAID nvarchar(50),
	LBOLUM nvarchar(50),
	LDOKTOR nvarchar(50),
	ITARIH datetime,
	ORNEKTARIHI datetime,
	KABULTARIH datetime,
	CALBITISZAMANI datetime,
	ONAYZAMANI datetime,
	LUYGDRADI nvarchar(50),
	UYGDRUNVAN nvarchar(50),
	UYGDRUZMANLIKADI nvarchar(100)
)
AS
BEGIN
	INSERT INTO @retGecmisTetkikTest
	SELECT     VWTETKIKTEST.TETKIKTURADI, VWTETKIKTEST.ITEMADI, VWTETKIKTEST.SIRANO, VWTETKIKTEST.TESTADI, VWTETKIKTEST.OLCUM, VWTETKIKTEST.UYARIISRT, 
						  VWTETKIKTEST.SONUCR, VWTETKIKTEST.BIRIM, VWTETKIKTEST.SONUCY, VWTETKIKTEST.MIND, VWTETKIKTEST.MIND2, VWTETKIKTEST.MAXD, 
						  VWTETKIKTEST.MAXD2, VWTETKIK.LTCKIMLIKNO, VWTETKIK.LADISOYADI, VWTETKIK.LDTARIHI, VWTETKIK.LHYASI, VWTETKIK.HCINSIYETI, VWTETKIK.HDOSYAID, 
						  VWTETKIK.LBOLUM, VWTETKIK.LDOKTOR, VWTETKIK.ITARIH, VWTETKIK.ORNEKTARIHI, VWTETKIK.KABULTARIH, VWTETKIK.CALBITISZAMANI, 
						  VWTETKIKTEST.ONAYZAMANI, VWTETKIK.LUYGDRADI, VWTETKIK.UYGDRUNVAN, VWTETKIK.UYGDRUZMANLIKADI
	FROM         VWTETKIKTEST INNER JOIN
						  VWTETKIK ON VWTETKIK.HTETKIKID = VWTETKIKTEST.HTETKIKID
	WHERE     (VWTETKIK.HTETKIKKARTID = @TETKIKKARTID) AND (VWTETKIK.DURUM = 2) AND (VWTETKIK.WEBGORUNSUN = 1)
	GROUP BY VWTETKIKTEST.TETKIKTURADI, VWTETKIKTEST.ITEMADI, VWTETKIKTEST.SIRANO, VWTETKIKTEST.TESTADI, VWTETKIKTEST.OLCUM, VWTETKIKTEST.UYARIISRT, 
						  VWTETKIKTEST.SONUCR, VWTETKIKTEST.BIRIM, VWTETKIKTEST.SONUCY, VWTETKIKTEST.MIND, VWTETKIKTEST.MIND2, VWTETKIKTEST.MAXD, 
						  VWTETKIKTEST.MAXD2, VWTETKIK.LTCKIMLIKNO, VWTETKIK.LADISOYADI, VWTETKIK.LDTARIHI, VWTETKIK.LHYASI, VWTETKIK.HCINSIYETI, VWTETKIK.HDOSYAID, 
						  VWTETKIK.LBOLUM, VWTETKIK.LDOKTOR, VWTETKIK.ITARIH, VWTETKIK.ORNEKTARIHI, VWTETKIK.KABULTARIH, VWTETKIK.CALBITISZAMANI, 
						  VWTETKIKTEST.ONAYZAMANI, VWTETKIK.LUYGDRADI, VWTETKIK.UYGDRUNVAN, VWTETKIK.UYGDRUZMANLIKADI
	ORDER BY VWTETKIKTEST.TETKIKTURADI, VWTETKIK.ITARIH, VWTETKIKTEST.SIRANO
    RETURN
END
GO

